# JavadocMemberLevel

enum JavadocMemberLevel

This enum maps to the -public, -protected, -package and -private options of the javadoc executable.

## Entries

PUBLIC
Link copied to clipboard
PUBLIC

Shows only public classes and members.

PROTECTED
Link copied to clipboard
PROTECTED

Shows only protected and public classes and members. This is the default.

PACKAGE
Link copied to clipboard
PACKAGE

Shows only package, protected, and public classes and members.

PRIVATE
Link copied to clipboard
PRIVATE

Shows all classes and members.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): JavadocMemberLevel

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<JavadocMemberLevel>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.